Page MenuHomePhabricator

Add support for thumbnails and interactive views of 3D models
Closed, ResolvedPublic

Description

In relation to T3790: Allow uploading of 3D files to Wikimedia Commons, there needs to be the technical ability to do something meaningful with the 3D files once uploaded.

There are many different options, many mentioned in the comments on that bug, but this is where the technical implementation details should be tracked.


Version: unspecified
Severity: enhancement

Details

Reference
bz52655

Related Objects

StatusAssignedTask
DeclinedNone
OpenNone
OpenNone
ResolvedTheDJ
DuplicateSnhkicker
ResolvedMarkTraceur
ResolvedNone
ResolvedNone
ResolvedGilles
ResolvedGilles
ResolvedGilles
ResolvedGilles
ResolvedReedy
ResolvedRicordisamoa
ResolvedMarkTraceur
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedMarkTraceur
ResolvedMarkTraceur
ResolvedGilles
ResolvedCKoerner_WMF
Resolveddr0ptp4kt
Resolvedmatthiasmullie
OpenNone
ResolvedCKoerner_WMF
Resolvedmatthiasmullie
OpenNone
ResolvedMarkTraceur

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:00 AM
bzimport set Reference to bz52655.
bzimport added a subscriber: Unknown Object (MLST).
greg created this task.Aug 8 2013, 4:27 PM

Are you sure this is supposed to be in core?
I wonder if [[mw:Extension:X3d]] is supposed to help: «several applications [...] which natively parse and interpret X3D files, including the 3D graphics and animation editor Blender» ([[X3d]]).
Blender is mentioned in [[mw:Feature map]] I.3.

Ricordisamoa updated the task description. (Show Details)Jan 6 2015, 11:34 PM
Ricordisamoa set Security to None.
Ricordisamoa added a subscriber: Ricordisamoa.
Ainali added a subscriber: Ainali.Feb 20 2015, 10:52 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 3 2015, 11:36 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:12 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 4 2015, 6:12 PM
Elitre added a subscriber: Elitre.Oct 26 2015, 6:31 PM
Restricted Application added a project: Commons. · View Herald TranscriptNov 22 2015, 12:40 AM

I'm unlisting T45616: Provide a way to create interactive 2D/3D timelines and infographics e.g. AJAX as a blocker; creating interactive tools on-wiki would be a lovely (set of) feature(s), but that's not necessary to be able to upload/render/view/play 3D files.

Quoth added a subscriber: Quoth.Apr 13 2016, 8:10 PM
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 13 2016, 8:10 PM
Quoth removed a subscriber: Quoth.Apr 18 2016, 10:10 AM
Niharika added a subscriber: Niharika.EditedJun 26 2016, 12:49 PM

Also see T138665: Support SVG interactivity and animation in media-viewer Is it possible to integrate this in the 3d extension?
@Cmglee would be interested in helping out.

Also see T138665: Support SVG interactivity and animation in media-viewer Is it possible to integrate this in the 3d extension?

See my comments there re. security, but if those concerns are met, yes.

MarkTraceur closed this task as Resolved.Jan 30 2017, 9:09 PM
MarkTraceur claimed this task.

As far as I understand, the 3D extension currently has these capabilities, at least in part. See rTDTP for the thumbnailer, and https://www.mediawiki.org/wiki/Extension:3d for the extension (with thumbnailing and Media Viewer support).

Aeglius removed a subscriber: Aeglius.Mar 7 2017, 3:19 PM
mxn added a subscriber: mxn.Sep 2 2017, 1:40 AM